﻿/* General styles */
body {
    font-family: arial,helvetica;
    color: #333;
    color: rgba(0,0,0,0.5);
}

/* Page loader */

.preloader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .preloader .fa-spinner {
        color: #cccc00;
    }

/* Background */
.fp-bg {
    background-size: cover;
    background-position: center, center;
    background-repeat: repeat, no-repeat;
}

/* Logo */

.logo {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 500;
    width: 480px;
    padding-right: 3em;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.logo.in-gallery-section {
    width: 300px;
}

@media screen and (max-height: 480px) {
    .logo.in-gallery-section {
        width: 190px;
    }
}

@media screen and (max-width: 980px) {
    .logo {
        width: 320px;
    }
}


@media screen and (max-width: 736px) {
    .logo {
        width: 280px;
    }
}

@media screen and (max-width: 480px) {
    .logo {
        width: 240px;
    }
}

@media screen and (max-height: 480px) {
    .logo {
        width: 190px;
    }
}

/* Containers */

.content-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

/* Sections */
.section {
    background-size: cover;
    color: white;
}

#section-intro .fp-bg {
    background-image: url('images/intro.jpg');
}

#section-about .fp-bg {
    background-image: url('images/about.jpg');
}

#section-planning .fp-bg {
    background-image: url('images/planning.jpg');
}

#section-construction .fp-bg {
    background-image: url('images/construction.jpg');
}

#section-care .fp-bg {
    background-image: url('images/care.jpg');
}

#section-contact .fp-bg {
    background-image: url('images/contact.jpg');
}

#section-disclaimer .content {
    padding: 1em;
}

#section-disclaimer .fp-bg {
    background-image: url('images/disclaimer.png');
}

#section-privacy .fp-bg {
    background-image: url('images/disclaimer.png');
}

/* Slides */

.slide .content {
    text-align: center;
}

    .slide .content .fa-spinner {
        color: white;
    }

.slide .fp-bg.load + div.content .fa-spinner {
    display: none;
}

.fp-slidesNav.top {
    top: 5em !important;
}

.fp-slidesNav.bottom {
    bottom: 5em !important;
}

#fp-nav ul li a span, .fp-slidesNav ul li a span {
    background-color: white !important;
}

#section-references .fp-bg {
    display: flex;
    justify-content: center; /* align horizontal */
    align-items: center; /* align vertical */
    background-color: black;   
}

#section-references .fp-bg .image-container {
}

    #section-references .fp-bg img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);
        max-width: 100%;
        max-height: calc(100% - 6em);
    }

/* Menü */
#menu {
    position: fixed;
    top: 0;
    right: 0;
    height: 40px;
    z-index: 700;
    padding: 0;
    margin: 0.2em;
}

    #menu li {
        display: inline-block;
        margin: 0;
        color: #fff;
        background: rgba(255,255,255, 0.4);
        -webkit-transition: all 0.5s ease;
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        transition: all 0.5s ease;
    }

    #menu.in-gallery-section li {
        color: white;
        background: rgb(204, 204, 0);
    }

    #menu li.active {
        background: #666;
        background: rgba(0,0,0, 0.5);
        color: #fff;
    }

    #menu li a {
        text-decoration: none;
        color: #000;
    }

    #menu.in-gallery-section li a {
        text-decoration: none;
        color: white;
    }

    #menu li.active a:hover {
        color: #000;
    }

    #menu li:hover {
        background: rgba(255,255,255, 0.8);
    }

    #menu li a,
    #menu li.active a {
        padding: 9px 18px;
        display: block;
    }

    #menu li.active a {
        color: #fff;
    }

@media screen and (max-width: 980px) {
    #menu {
        font-size: 0.8em;
    }
}

@media screen and (max-width: 736px) {
    #menu {
        display: none;
    }
}

/* Artikel */

.section article {
    overflow: auto;
    padding: 0.25em 1em 0.5em 1em;
}

    .section article header h2 {
        font-size: 1.8em;
    }

@media screen and (max-width: 480px), screen and (max-height: 480px) {
    .fp-slidesNav {
        display: none !important;
    }
}

@media screen and (max-width: 480px), screen and (max-height: 480px) {
    .section article {
        font-size: 0.8em;
        margin: auto;
    }

        .section article header h2 {
            font-size: 1.2em;
        }

        .section article header h3 {
            font-size: 1.0em;
        }
}

.boxed {
    background-color: rgba(10, 10, 10, 0.25);
}

.section.regular article {
    color: white;
    margin: auto 1em auto 1em;
    max-width: 80%;
    -moz-transition: -moz-transform 1s ease;
    -webkit-transition: -webkit-transform 1s ease;
    -ms-transition: -ms-transform 1s ease;
    transition: transform 1s ease;
    -webkit-transition-delay: 1s; /* Safari */
    transition-delay: 1s;
}

@media screen and (max-width: 480px) {
    .section.regular article {
        margin: auto;
    }
}

@media screen and (max-height: 480px) {
    .section.regular article {
        margin: auto;
    }
}

.section.regular article.from-left {
    -moz-transform: translateX(-150%);
    -webkit-transform: translateX(-150%);
    -ms-transform: translateX(-150%);
    transform: translateX(-150%);
    margin-right: auto;
}

.section.regular article.from-right {
    -moz-transform: translateX(150%);
    -webkit-transform: translateX(150%);
    -ms-transform: translateX(150%);
    transform: translateX(150%);
    margin-left: auto;
}

.section.regular.active article {
    -moz-transform: translateX(0%);
    -webkit-transform: translateX(0%);
    -ms-transform: translateX(0%);
    transform: translateX(0%);
}

.section article ul {
    padding-left: 0;
}

.section.regular article ul > li {
    display: inline;
}

    .section.regular article ul > li:before {
        content: '\ffed';
        margin-right: 0.5em;
    }

.section.regular article article {
    background-color: initial;
}

/* Buttons */

.button-down-round {
    width: 5em;
    height: 5em;
    line-height: 4.5em;
    padding: 0;
    background-image: url("images/dark-arrow.svg");
    background-color: transparent;
    border: solid 2px #e5e6e7;
    border-radius: 3.5em;
    background-position: center center;
    background-repeat: no-repeat;
    text-indent: -10em;
    overflow: hidden;
    border-color: #ffffff;
    display: block;
    margin: auto;
}

.button-down-anchored {
    background-image: url(images/dark-arrow.svg);
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    border-color: #ffffff;
    border: solid 2px #e5e6e7;
    bottom: 0;
    border-bottom: 0;
    border-radius: 3em 3em 0 0;
    height: 4.5em;
    position: absolute;
    left: 50%;
    width: 5em;
    line-height: 4.5em;
    padding: 0;
    text-indent: -10em;
    overflow: hidden;
    margin-left: -2.5em;
    z-index: 1000;
}

@media screen and (max-height: 480px) {
    .button-down-anchored {
        background-size: 1.5em;
        border-radius: 3em 3em 0 0;
        height: 2.5em;
        position: absolute;
        left: 50%;
        width: 3em;
        line-height: 2.5em;
        padding: 0;
        text-indent: -10em;
        overflow: hidden;
        margin-left: -1.5em;
        z-index: 1000;
    }
}

@media screen and (max-width: 480px) {
    .button-down-anchored {
        background-size: 1.5em;
        border-radius: 3em 3em 0 0;
        height: 2.5em;
        position: absolute;
        left: 50%;
        width: 3em;
        line-height: 2.5em;
        padding: 0;
        text-indent: -10em;
        overflow: hidden;
        margin-left: -1.5em;
        z-index: 1000;
    }
}

/* Disclaimer */
#section-disclaimer .content {
    padding-top: 5em;
}

@media screen and (max-width: 480px) {
    #section-disclaimer .content {
        font-size: 0.8em;
    }
}

@media screen and (max-height: 480px) {
    #section-disclaimer .content {
        font-size: 0.7em;
    }
}

#section-disclaimer > .content header {
    margin-bottom: 1em;
}

#section-disclaimer h2, h3 {
    text-align: center;
    color: white;
}

#section-disclaimer ul {
    list-style-type: none;
}

a.link {
    color: white;
}

    a.link:visited {
        color: white;
    }

#section-disclaimer, #section-contact a:link {
    color: white;
}

#section-disclaimer, #section-contact a:visited {
    color: white !important;
}

    #section-disclaimer td {
        padding: 0.4em 0 0.4em 0;
    }

    #section-disclaimer .left {
        height: 100%;
    }

    #section-disclaimer .right {
        height: 100%;
    }

    #section-disclaimer article {
        height: 100%;
        margin: auto;
    }

/* Privacy */

#section-privacy .content {
    padding-top: 8em;
}

#section-disclaimer h2, h3 {
    text-align: left;
    color: white;
}

@media screen and (max-width: 480px) {
    #section-privacy .content {
        font-size: 0.8em;
    }
}

@media screen and (max-height: 480px) {
    #section-privacy .content {
        font-size: 0.7em;
    }
}

#section-privacy .article-content {
    overflow: scroll;
    max-height: 25em;
}

/* Contact form */

#form-contact {
    width: 100%;
}

#contact-form-container {
    margin: auto;
    padding: 2em;
}

#section-contact h2 {
    text-align: center;
}

#section-contact article {
    width: 60%;
}

@media screen and (max-width: 1280px) {
    #section-contact article {
        width: 80%;
    }
}

@media screen and (max-width: 980px) {
    #section-contact article {
        width: 90%;
    }
}

@media screen and (max-width: 736px) {
    #section-contact article {
        width: 100%;
    }
}

.contact-name-email {
    display: flex;
    align-items: center;
}

    .contact-name-email > div {
        flex: 1;
    }

        .contact-name-email > div > input {
            margin: 0;
            padding: 0.2em;
        }

        .contact-name-email > div:first-of-type {
            margin-right: 1.2em;
        }

.field > textarea {
    padding: 0.2em;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="url"],
select,
textarea {
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    appearance: none;
    color: #39454b;
    display: block;
    width: 100%;
    padding: 0.65em 0.75em;
    margin: 0.5em auto 0.5em auto;
    background: none;
    border: solid 2px #e5e6e7;
    color: inherit;
    border-radius: 0.5em;
    outline: none;
    font-size: 1.4em;
}

    input[type="text"]:focus,
    input[type="password"]:focus,
    input[type="email"]:focus,
    input[type="tel"]:focus,
    input[type="search"]:focus,
    input[type="url"]:focus,
    select:focus,
    textarea:focus {
        border-color: #9ac8e9;
        font-size: 1.4em;
    }

input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="url"],
select {
    line-height: 1.4em;
}

@media screen and (max-height: 480px), screen and (max-width: 480px) {
    input[type="text"],
    input[type="password"],
    input[type="email"],
    input[type="tel"],
    input[type="search"],
    input[type="url"],
    select,
    textarea {
        padding: 0.65em 0.75em;
        margin: 0.2em auto 0.2em auto;
        outline: none;
        font-size: 0.8em;
    }

        input[type="text"]:focus,
        input[type="password"]:focus,
        input[type="email"]:focus,
        input[type="tel"]:focus,
        input[type="search"]:focus,
        input[type="url"]:focus,
        select:focus,
        textarea:focus {
            border-color: #9ac8e9;
            font-size: 0.8em;
        }
}

button[type="submit"] {
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    appearance: none;
    -moz-transition: background-color 0.2s ease-in-out;
    -webkit-transition: background-color 0.2s ease-in-out;
    -ms-transition: background-color 0.2s ease-in-out;
    transition: background-color 0.2s ease-in-out;
    background-color: rgba(190, 205, 0, 0.6);
    border: 0;
    border-radius: 3.5em;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    height: 2.5em;
    line-height: 2.5em;
    outline: 0;
    margin-top: 0.2em;
    margin-bottom: 1em;
    padding: 0 2em 0 2em;
    position: relative;
    text-align: center;
    text-decoration: none;
}

@media screen and (max-height: 480px), screen and (max-width: 480px) {
    button[type="submit"] {
        border-radius: 3.0em;
        height: 1.5em;
        line-height: 1.5em;
        outline: 0;
        padding: 0 1em 0 1em;
        margin-top: 2em;
    }
}

textarea {
    min-height: 9em;
    font-size: 1.4em;
}

@media screen and (max-height: 480px), screen and (max-width: 480px) {
    textarea {
        font-size: 0.8em;
        height: 9em;
    }
}

::-moz-focus-inner {
    border: 0;
}

::-webkit-input-placeholder {
    color: white;
    opacity: 1;
    font-family: arial,helvetica;
}

:-moz-placeholder {
    color: white;
    opacity: 1;
    font-family: arial,helvetica;
}

::-moz-placeholder {
    color: white;
    opacity: 1;
    font-family: arial,helvetica;
}

:-ms-input-placeholder {
    color: white;
    opacity: 1;
    font-family: arial,helvetica;
}

#call-us {
    text-align: center;
}

/* MISC */
.center-button-container {
    text-align: center;
}

.hidden {
    display: none !important;
}

.left {
    float: left;
    width: 50%;
}

.right {
    float: right;
    width: 50%;
}
